/*
Theme Name: Avada Child
Template: Avada
Description: The Avada Website Builder is the ultimate design and creation suite. Design Anything, Build Everything, Fast. The #1 selling product of all time on ThemeForest.
Author: ThemeFusion
Theme URI: https://avada.com/
Author URI: https://themeforest.net/user/ThemeFusion
Version: 7.11.13
Requires PHP: 5.6
License: Themeforest Split Licence
License URI: -
Text Domain: Avada
*/

/* Classes needed by Theme Check */
.wp-caption-text,
.gallery-caption,
.bypostauthor {
}

html .fusion-button-custom {
    border-color: #d5d2d2;
    border-width: 1px;
    color: #0073e6;
    background-color: transparent;
    transition: all 0.3s ease;
    padding-top: var(--button_padding-top, 13px);
    padding-right: var(--button_padding-right, 29px);
    padding-bottom: var(--button_padding-bottom, 13px);
    padding-left: var(--button_padding-left, 29px);
    line-height: var(--button_line_height, 1);
    font-size: var(--button_font_size, 14px);
}

html .fusion-button-custom:hover {
    background-color: #0073e6;
    color: white;
}

.menu-categories {
    list-style: none;
    padding-left: 0;
}

.category-item{
    display: flex;
    align-items: center;
    gap: 6px;

}
.j-categories-toggle {
    display: flex;
    justify-content:center;
    align-items: center;
    background: transparent;
    border: none;
    outline: none;
    box-shadow: none;
    cursor: pointer;
    position: relative;
    width: 12px;
    height: 12px;
    flex: 0 0 12px;
    margin-left: auto;
    padding: 0px 0px 0px 0px;

}


.j-categories-toggle::after,
.j-categories-toggle::before {
    content: "";
    position: absolute;
    width: 7px;
    height: 1px;
    background: currentColor;
    top: calc(50%);
    transition: all 0.3s ease;

}

.j-categories-toggle::after {
    transform: rotate(45deg);
    left: 0;

}
.j-categories-toggle::before {
    transform: rotate(-45deg);
    right: 0;

}
.j-categories-toggle.active::after {
    transform: rotate(-45deg);
}
.j-categories-toggle.active::before {
    transform: rotate(45deg);
}
.children {
    list-style: none;
}
.cat-item{
    padding-bottom: 5px;
}
.cat-item a{
    text-decoration: none;
    flex: 1 1 auto;
    text-decoration-line: none !important;
}
.cat-item:not(:last-child){
    margin-bottom: 5px;
    border-bottom: 1px solid #ee551981;
}
.j-categories-children {
    max-height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
    will-change: max-height;
}
.children .cat-item{
    padding-left: 5px;
}
body{
    scrollbar-gutter: stable;

}
body.lock{
    overflow: hidden !important;
}
.children .cat-item:last-child{
    padding-bottom: 0;
    
}
.j-categories-children .children{
    padding-left: 0;
    padding-top: 8px;
    padding-bottom: 8px;
    display: flex;
    flex-direction: column;
}
.product-title.fusion-responsive-typography-calculated{
    font-size: 20px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
ul.products .product{
    display: flex;
    flex-direction: column;
}
.fusion-product-wrapper {
    height: 100%;
    display: flex;
    flex-direction: column;
}
.fusion-product-content{
    flex:  1 1 auto;
    display: flex;
    flex-direction: column;
}
.product-details{
    flex:  1 1 auto;

}
.product-buttons{
    margin-top: auto;
}
.j-catalog-close {
    display: none;
}
@media screen and (min-width: 1024px) and (max-width: 1280px) {
    .fusion-layout-column:has(.j-categories){
        width: 30% !important;

    }
    .fusion-layout-column:has(.j-categories) + .fusion-layout-column{
        width: 70% !important;
    }

}

@media screen and (min-width: 1024px) {
    .j-categories-open {
        display: none !important;
    }
}

@media screen and (max-width: 1023px) {
    .j-categories-open {
        margin-bottom: 15px !important;
    }
    .catalog-toolbar{
        display: flex;
        flex-direction: column;
        justify-content:center;align-items: center;
    }
    .j-catalog-close {
        position: absolute;
        top: 20px;
        right: 20px;
        width: 20px;
        height: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        z-index: 10012;
        background: transparent;
        box-shadow: none;
        padding: 0;
        outline: none;
        border: none;
        margin: 0;
        display: block;
    }
    .j-catalog-close::before,
    .j-catalog-close::after {
        content: "";
        position: absolute;
        width: 100%;
        height: 1px;
        background: currentColor;
        transition: all 0.3s ease;
    }
    .j-catalog-close::before{
        transform: rotate(45deg);
    }
    .j-catalog-close::after{
        transform: rotate(-45deg);
    }

    .menu-categories{
        position: fixed;
        top:0;
        left: 0;
        width: 100vw;
        background: #fff;
        z-index: 10012;
        height: auto;
        padding: 60px 20px 0px 20px;
        min-height: calc(100vh);
        max-height: calc(100vh);
        overflow: auto;
        margin: 0px;
        transform: translateX(-100%);
        transition: transform 0.3s;
    }
    .menu-categories.active {
        transform: translateX(0%);
        
    }
    .post-content:has(.menu-categories.active) {
        z-index: 10012;
    }
}
.awb-menu {
    margin-left: auto;
}